package com.gic.enterprise.base;

import java.io.Serializable;
import java.util.List;

/**
 * 资源组-门店资源
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/11 5:07 PM 
 */
public class StoreResourceInfo implements Serializable{
    private static final long serialVersionUID = 3819900076006580887L;

    private List<Integer> storeIdList;
    /**
     * 1：全部   2：部分
     */
    private Integer type;

    private Integer storeResourceId;

    public List<Integer> getStoreIdList() {
        return storeIdList;
    }

    public StoreResourceInfo setStoreIdList(List<Integer> storeIdList) {
        this.storeIdList = storeIdList;
        return this;
    }

    public Integer getType() {
        return type;
    }

    public StoreResourceInfo setType(Integer type) {
        this.type = type;
        return this;
    }

    public Integer getStoreResourceId() {
        return storeResourceId;
    }

    public StoreResourceInfo setStoreResourceId(Integer storeResourceId) {
        this.storeResourceId = storeResourceId;
        return this;
    }

    @Override
    public String toString() {
        return "StoreResourceInfo{" +
                "storeIdList=" + storeIdList +
                ", type=" + type +
                ", storeResourceId=" + storeResourceId +
                '}';
    }
}
