package com.gic.enterprise.utils;

import com.gic.commons.util.Md5Util;
/**
 * 自动产生密码
 * @ClassName: AutoCreatePasswordUtils 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/15 10:43 AM 
 */
public class AutoCreatePasswordUtils {

    /**
     * 自动生成length位中英文密码
     * @Title: autoCreatePassword 
     * @Description:
      * @author guojuxing
     * @param length 
     * @return  java.lang.String 
      */
    public static String autoCreatePassword(int length) {
        String password = CreateRandomUtils.generateNumberStr(length);
        return encryptPassword(password);
    }

    public static String encryptPassword(String password) {
        Md5Util md5 = new Md5Util();
        return md5.encrypt(password + password);
    }
}
